www.cendio.com

Bug 4616

Summary: Better use of screen real estate in HTML5 Client
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: Web AccessAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: aaron@cendio.se
Version: 4.0.0Keywords: aaron_tester, relnotes
Target Milestone: 4.1.1   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2013-04-24 09:14:44
Currently, the HTML5 client uses quite a large portion of the screen for its
own stuff. This means that the usable area for the remote desktop is smaller.
Currently, there are two rows:

* One bar with buttons for controlling mouse, keyboard, clipboard etc. 
* One additional bar with status information, such as "Connected (encrypted) to
astrand@bard.thinlinc.com". 

We could consider merging these into one, or remove them altogether. The status
bar is not that useful. In our case, we are only allowing encrypted
connections. 

Some other products, including the Ericom HTML5 client, uses a "floating"
overlayed icon for the keyboard trigger. OTOH, it seems there's no support for
controlling the mouse buttons. Having too many floating buttons might not work
well.
------- Comment #1 From cendio 2013-07-18 17:20:11 -------
Fixed in revision 27708.
------- Comment #2 From cendio 2013-10-15 13:58:47 -------
Looks pretty good to me, tested from iPad and desktop browser.

One nice-to-have would be that clicking anywhere on the screen is enough to
remove the overlay which pops up when clicking on the hostname in the status
bar; currently you have to click on the overlay itself to get rid of it. But,
good enough for me. Closing.